{
    "name": "hntq-app-v5",
    "version": "0.0.2",
    "description": "湖南天气app v5",
    "keywords": [
        "app",
        "basic"
    ],
    "bugs": {
        "url": "https://gitlab.yiring.com/basic/basic-uniapp-v3/issues"
    },
    "repository": {
        "type": "git",
        "url": "https://gitlab.yiring.com/basic/basic-uniapp-v3.git"
    },
    "author": {
        "name": "yiring",
        "email": "developer@yiring.com",
        "url": "https://yiring.com"
    },
    "scripts": {
        "cz": "czg",
        "dev": "uni",
        "dev:app": "uni -p app",
        "dev:custom": "uni -p",
        "dev:h5": "uni",
        "dev:h5:ssr": "uni --ssr",
        "dev:mp-alipay": "uni -p mp-alipay",
        "dev:mp-baidu": "uni -p mp-baidu",
        "dev:mp-kuaishou": "uni -p mp-kuaishou",
        "dev:mp-lark": "uni -p mp-lark",
        "dev:mp-qq": "uni -p mp-qq",
        "dev:mp-toutiao": "uni -p mp-toutiao",
        "dev:mp-weixin": "uni -p mp-weixin",
        "dev:quickapp-webview": "uni -p quickapp-webview",
        "dev:quickapp-webview-huawei": "uni -p quickapp-webview-huawei",
        "dev:quickapp-webview-union": "uni -p quickapp-webview-union",
        "build:app": "uni build -p app",
        "build:custom": "uni build -p",
        "build:h5": "uni build",
        "build:h5:ssr": "uni build --ssr",
        "build:mp-alipay": "uni build -p mp-alipay",
        "build:mp-baidu": "uni build -p mp-baidu",
        "build:mp-kuaishou": "uni build -p mp-kuaishou",
        "build:mp-lark": "uni build -p mp-lark",
        "build:mp-qq": "uni build -p mp-qq",
        "build:mp-toutiao": "uni build -p mp-toutiao",
        "build:mp-weixin": "uni build -p mp-weixin",
        "build:quickapp-webview": "uni build -p quickapp-webview",
        "build:quickapp-webview-huawei": "uni build -p quickapp-webview-huawei",
        "build:quickapp-webview-union": "uni build -p quickapp-webview-union",
        "clean:cache": "rimraf node_modules/.cache/ && rimraf node_modules/.vite",
        "clean:lib": "rimraf node_modules",
        "lint": "npm run lint:eslint && npm run lint:stylelint && npm run lint:prettier",
        "lint:eslint": "eslint --cache --max-warnings 0  \"{src,mock}/**/*.{vue,ts,tsx}\" --fix",
        "lint:prettier": "prettier --write  \"src/**/*.{js,ts,json,ts,tsx,css,less,scss,vue,html,md}\"",
        "lint:stylelint": "stylelint --cache --fix \"**/*.{vue,less,postcss,css,scss}\" --cache --cache-location node_modules/.cache/stylelint/",
        "lint:lint-staged": "lint-staged -c ./.husky/lintstagedrc.js",
        "log": "conventional-changelog -p angular -i CHANGELOG.md -s",
        "u": "pnpx @dcloudio/uvm vue3",
        "prepare": "husky install"
    },
    "config": {
        "commitizen": {
            "path": "node_modules/cz-git"
        }
    },
    "dependencies": {
        "@dcloudio/uni-app": "3.0.0-alpha-3080320230523001",
        "@dcloudio/uni-app-plus": "3.0.0-alpha-3080320230523001",
        "@dcloudio/uni-components": "3.0.0-alpha-3080320230523001",
        "@dcloudio/uni-h5": "3.0.0-alpha-3080320230523001",
        "@dcloudio/uni-mp-alipay": "3.0.0-alpha-3080320230523001",
        "@dcloudio/uni-mp-baidu": "3.0.0-alpha-3080320230523001",
        "@dcloudio/uni-mp-jd": "3.0.0-alpha-3080320230523001",
        "@dcloudio/uni-mp-kuaishou": "3.0.0-alpha-3080320230523001",
        "@dcloudio/uni-mp-lark": "3.0.0-alpha-3080320230523001",
        "@dcloudio/uni-mp-qq": "3.0.0-alpha-3080320230523001",
        "@dcloudio/uni-mp-toutiao": "3.0.0-alpha-3080320230523001",
        "@dcloudio/uni-mp-weixin": "3.0.0-alpha-3080320230523001",
        "@dcloudio/uni-quickapp-webview": "3.0.0-alpha-3080320230523001",
        "@dcloudio/uni-ui": "^1.4.27",
        "@faker-js/faker": "^8.0.2",
        "@vue/runtime-core": "~3.2.47",
        "@vueuse/core": "^10.1.2",
        "axios": "^1.4.0",
        "crypto-js": "^4.1.1",
        "dayjs": "^1.11.7",
        "lodash-es": "^4.17.21",
        "nanoid": "^4.0.2",
        "pinia": "~2.0.36",
        "qs": "~6.9.7",
        "stompjs": "^2.3.3",
        "urijs": "^1.19.11",
        "vue": "~3.2.47",
        "vue-i18n": "^9.2.2",
        "vue-request": "2.0.0-rc.4",
        "vue-types": "^5.0.3"
    },
    "devDependencies": {
        "@antfu/eslint-config": "^0.39.3",
        "@commitlint/cli": "^17.6.3",
        "@commitlint/config-conventional": "^17.6.3",
        "@dcloudio/types": "^3.3.3",
        "@dcloudio/uni-automator": "3.0.0-alpha-3080320230523001",
        "@dcloudio/uni-cli-shared": "3.0.0-alpha-3080320230523001",
        "@dcloudio/uni-helper-json": "^1.0.13",
        "@dcloudio/uni-stacktracey": "3.0.0-alpha-3080320230523001",
        "@dcloudio/vite-plugin-uni": "3.0.0-alpha-3080320230523001",
        "@iconify/json": "^2.2.71",
        "@types/crypto-js": "^4.1.1",
        "@types/lodash-es": "^4.17.7",
        "@types/node": "^18.16.16",
        "@types/prettier": "^2.7.2",
        "@types/qs": "^6.9.7",
        "@types/stompjs": "^2.3.5",
        "@types/urijs": "^1.19.19",
        "@typescript-eslint/eslint-plugin": "^5.59.8",
        "@typescript-eslint/parser": "^5.59.8",
        "commitizen": "^4.3.0",
        "conventional-changelog-cli": "^2.2.2",
        "cz-conventional-changelog": "^3.3.0",
        "cz-customizable": "^7.0.0",
        "cz-git": "^1.6.1",
        "czg": "^1.6.1",
        "dotenv": "^16.0.3",
        "eslint": "^8.41.0",
        "eslint-config-prettier": "^8.8.0",
        "eslint-plugin-prettier": "^4.2.1",
        "eslint-plugin-vue": "^9.14.1",
        "husky": "^8.0.3",
        "jest": "27.0.4",
        "jest-environment-node": "27.5.1",
        "less": "^4.1.3",
        "lint-staged": "^13.2.2",
        "npm-run-all": "^4.1.5",
        "picocolors": "^1.0.0",
        "pont-engine": "^1.5.10",
        "postcss": "^8.4.24",
        "postcss-html": "^1.5.0",
        "postcss-less": "^6.0.0",
        "prettier": "^2.8.8",
        "rimraf": "^5.0.1",
        "sass": "^1.62.1",
        "sort-package-json": "^2.4.1",
        "stylelint": "^15.6.2",
        "stylelint-config-html": "^1.1.0",
        "stylelint-config-recommended": "^12.0.0",
        "stylelint-config-standard": "^33.0.0",
        "stylelint-order": "^6.0.3",
        "typescript": "^5.0.4",
        "unocss": "^0.52.4",
        "unocss-preset-weapp": "^0.6.3",
        "unplugin-auto-import": "^0.16.2",
        "unplugin-vue-components": "^0.24.1",
        "vite": "^4.3.9",
        "vue-eslint-parser": "^9.3.0"
    },
    "engines": {
        "node": ">=16",
        "pnpm": ">=8.1.0"
    }
}
